=== debian/control ===
Source: i915-4.2-3.13
Section: kernel
Priority: optional
Maintainer: Robert Hooker <robert.hooker@canonical.com>
XSBC-Original-Maintainer: Jack Leigh <jack.leigh@collabora.com>
Build-Depends: debhelper (>=5), quilt, dh-modaliases

Package: i915-4.2-3.13-source
Architecture: all
Depends: debhelper (>= 5), module-assistant, ${misc:Depends}
Replaces: i915-3.19-3.13-source (<< 4.2~rc1-1)
Breaks: i915-3.19-3.13-source (<< 4.2~rc1-1)
Description: Intel i915 video drivers from the mainline kernel,
 backported from the 4.2 series to the 3.13 series.
 .
 This package contains source to be built with module-assistant 
 or kernel-package.

Package: i915-3.19-3.13-source
Depends: i915-4.2-3.13-source, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: i915-4.2-3.13-dkms
Architecture: all
XB-Modaliases: ${modaliases}
Depends: dkms, linux-headers, ${misc:Depends}
Replaces: i915-3.19-3.13-dkms (<< 4.2~rc1-1)
Breaks: i915-3.19-3.13-dkms (<< 4.2~rc1-1)
Description: Intel i915 video drivers from the mainline kernel,
 backported from the 4.2 series to the 3.13 series.
 .
 This package contains the source to be built with dkms.

Package: i915-3.19-3.13-dkms
Depends: i915-4.2-3.13-dkms, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
